Summary: GNOME network programs
Name: gnome-network
Version: 1.0.2
Release: 8mdk
Copyright: LGPL
Group: Graphical desktop/GNOME 
BuildRequires: XFree86-devel ORBit-devel gnome-libs-devel audiofile-devel esound-devel libimlib1-devel gnome-core zlib-devel db2-devel
Source: ftp://ftp.gnome.org/pub/%{name}-%{version}.tar.bz2
Source3: %{name}-icons.tar.bz2
Source4: %{name}-gnome-ppp-help.tar.bz2
Source5: %{name}-licons.tar.bz2
Source6: %{name}-micons.tar.bz2
Patch0: gnome-network-sync.patch.bz2
# (fc) 1.0.2-8mdk patch to compile with glibc2.2/db2
Patch1: gnome-network-db2.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Icon: gnome-network-logo.xpm
URL: http://www.gnome.org

%description
GNOME network programs.

GNOME is the GNU Network Object Model Environment. That's a fancy name but
really GNOME is a nice GUI desktop environment. It makes using your computer
easy, powerful, and easy to configure.

%prep
%setup -q

%patch0 -p 1 -b .sync
%patch1 -p 1 -b .db2

# needed for patch1
autoconf
automake

%build

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF >> $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): title="Synchronize" longtitle="Desktop synchronization application" command="%{_bindir}/gnome-sync" icon="gnome-sync.xpm" needs="gnome" section="Configuration/Other"
?package(%{name}): title="Gnome Talk" longtitle="Gnome Talk" command="%{_bindir}/gtalk" icon="gnome-talk.xpm" needs="x11" section="Networking/Chat"
?package(%{name}): title="Gnome ppp" longtitle="GNOME PPP dialup utility" command="%{_bindir}/gnome-ppp" icon="gnome-networktool.xpm" needs="x11" section="Networking/Remote access"
EOF

mkdir -p $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT%{_liconsdir} $RPM_BUILD_ROOT%{_miconsdir}
tar yxvf %{SOURCE3} -C $RPM_BUILD_ROOT%{_iconsdir}
tar yxvf %{SOURCE5} -C $RPM_BUILD_ROOT%{_liconsdir}
tar yxvf %{SOURCE6} -C $RPM_BUILD_ROOT%{_miconsdir}

# (gc) I could not make the doc, docbook 3.1 and so on. Camille made it for me. Thank you Camille!
tar yxvf %{SOURCE4} -C $RPM_BUILD_ROOT%{_datadir}/gnome/help/gnome-ppp/C/

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
## menu
%{update_menus}

%postun
## menu
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config(noreplace) %{_sysconfdir}/CORBA/servers/*
%{_bindir}/*
%{_datadir}/applets/Network/*.desktop
%{_datadir}/gnome/apps/Internet/*.desktop
%{_datadir}/gnome/help/*
%{_datadir}/pixmaps/*
%{_menudir}/*
%{_iconsdir}/*.xpm
%{_liconsdir}/*.xpm
%{_miconsdir}/*.xpm

%changelog
* Tue Dec  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-8mdk
- Patch to compile with glibc 2.2/db2
- Readd .desktop

* Thu Sep 14 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-7mdk
- Correct size for some icons

* Wed Sep  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-6mdk
- Add missing icons
- Use find_lang macro

* Tue Aug  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-5mdk
- BM + macroszification
- menu entry is embedded in specfile
- patch for gnome-sync to correctly exit when using close button + correct support of i18n

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-4mdk
- automatically added BuildRequires

* Thu Apr 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.2-3mdk
- fixed file-not-found in help system of gnome-ppp, with highly
  precious help from Camille with sgml
- added menu entries

* Mon Apr 10 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.2-2mdk
- match new group.
- SMP build/check.
- cleanup spec.

* Fri Jan 19 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- fixed build by non-root

* Tue Jan 18 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- built for Mandrake

* Mon Mar 16 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-network CVS source tree


